function plotApprox0L1L2(q, argmin_L1, argmin_L2, w_bb)
%% plot amplitude spectrum of (differenced) optimal construction 

%% nice plot for approx (in freq. domain)

[ord_0_L1, dord_0_L1] = reconstructOrd0(q, argmin_L1);
[ord_0_L2, dord_0_L2] = reconstructOrd0(q, argmin_L2);

nu_L1 = sin(2*pi*argmin_L1/q.N);
nu_L2 = sin(2*pi*argmin_L2/q.N);

flip_mid = [ones(1,q.N/4), -ones(1,q.N/2), ones(1,q.N/4)]';

if exist('w_bb')
    q = getPar(q, w_bb);
end

approx_L1 = 0.25 * q.N * q.Wp * (flip_mid.*dord_0_L1) ./ nu_L1;
approx_L2 = 0.25 * q.N * q.Wp * (flip_mid.*dord_0_L2) ./ nu_L2;

posind = (find(q.w==0):find(q.w==q.w_bb));

hplot = plot(q.w(posind), abs(approx_L1(posind)), '.', ...
             q.w(posind), abs(approx_L2(posind)), '.', ...
             q.w(posind), abs(approx_L1(posind)), '.');


axis([q.w(posind(1))-.2 q.w(end)+.2 -0.0 1.2])
set(gcf, 'color', [1 1 1])
set(hplot(1), 'color', [0 0 0], 'linewidth', 2,'markersize', 16)
set(hplot(2), 'color', [0.7 0.7 0.7], 'linewidth', 4, 'markersize', 32)
set(gca,'Fontsize',20);
pbaspect([1 .3 1])

xtick_labels = str2num(get(gca, 'XTickLabel'));

yticks = get(gca, 'YTick');
% ytick_labels = str2num(get(gca, 'YTickLabel'));
% 
% for j = 1:length(ytick_labels)
%     ytl{j} = sprintf('$%s%s',num2str(ytick_labels(j)),'$');
% end

ytl = {'$0$',...
       '$\frac{1}{2}$',...
       '$1$'};
   
for j = 1:length(xtick_labels)
    xtl{j} = sprintf('$%s%s',num2str(xtick_labels(j)),'$');
end

hold on         
hstem_L2 = stem(q.w, abs(approx_L2), 'filled');
set(hstem_L2, 'color', [0.7 0.7 0.7], 'linewidth', 6, 'marker', 'o', 'markersize', 8)
hstem_L1 = stem(q.w, abs(approx_L1), 'filled');
set(hstem_L1, 'color', [0 0 0], 'linewidth', 2, 'markersize', 3)
hold off                 

%h_xlab = xlabel('$k$', 'interpreter', 'latex');
% h_ylab = ylabel('$\left\vert\mathcal{S}_+\mathcal{D}\psi^0\right\vert$', 'interpreter', 'latex');
%set(h_xlab,'Position',get(h_xlab,'Position') + [0.1 .1 0]) 
% set(h_ylab,'Position',get(h_ylab,'Position') + [0.15 0.0 -0.1]) 

% h_legend = legend('$\ell_1$','$\ell_2$');
% set(h_legend, 'interpreter', 'latex', 'Fontsize', 20)

h_ft = format_ticks(gca,xtl, ytl, [], [], [], [], .04);




